textout_centre_ex(3)

NAME
textout_centre_ex - Writes a centered string on a bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void textout_centre_ex(BITMAP *bmp, const FONT *f, const char *s, int x, y, int color, int bg);

DESCRIPTION
Like textout_ex(), but interprets the x coordinate as the centre rather than the left edge of the string. Example:
   /* Important texts go in the middle. */
   width = text_length("GAME OVER");
   textout_centre_ex(screen, font, "GAME OVER",
                     SCREEN_W / 2, SCREEN_H / 2,
                     makecol(255, 0, 0), makecol(0, 0, 0));

SEE ALSO
textout_ex(3), textprintf_centre_ex(3)